Loading...
Searching...
No Matches
rotate.hpp File Reference

## Functions

template<typename I , typename S > requires permutable<I> && sentinel_for<S, I>
constexpr subrange< I > | ranges::rotate (I first, I middle, S last)
| function template `rotate`
template<typename Rng , typename I = iterator_t<Rng>> requires range<Rng> && permutable<I>
constexpr borrowed_subrange_t< Rng > | ranges::rotate (Rng &&rng, I middle)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.